Bug 321766 - The "new file" message widget does not go away
Summary: The "new file" message widget does not go away
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: 3.10.90
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-29 14:51 UTC by Albert Astals Cid
Modified: 2013-08-30 21:02 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Albert Astals Cid 2013-06-29 14:51:11 UTC
How to reproduce:
 * Go to a shell
 * Write "kate filethatdoesnotexist1 &"
 * See how kate opens, the "New file" widget shows and hides
 * go back to the shell
 * Write "kate filethatdoesnotexist2 &"
 * See how the "New file" message shows but never hides
Comment 1 Dominik Haumann 2013-07-14 15:42:28 UTC
The timeout is triggered only when you either move the text cursor or you scroll the view.

This is intention so the user does not accidentally miss the notification.
It could be changed to trigger the timeout immediately, though.

Can you test again?
Comment 2 Albert Astals Cid 2013-07-14 16:31:24 UTC
Yes, it is true that when i type something it goes away, but it feels a bit inconsistent that it does behave different when you open the first non-existing file than when you open the second non-existing one.

Do you think we can fix that inconsistency?
Comment 3 Dominik Haumann 2013-08-30 20:56:50 UTC
Git commit cedc706672e431331087d6b3415bfc5ead1611b1 by Dominik Haumann.
Committed on 30/08/2013 at 20:56.
Pushed by dhaumann into branch 'master'.

inconsistency fix: really hide message only on user interaction

FIXED-IN: 4.11.2

M  +1    -0    part/view/katemessagewidget.cpp

http://commits.kde.org/kate/cedc706672e431331087d6b3415bfc5ead1611b1
Comment 4 Dominik Haumann 2013-08-30 21:02:31 UTC
Git commit 2ee874c981744cd9f8576dcad2929cbba7409256 by Dominik Haumann.
Committed on 30/08/2013 at 20:56.
Pushed by dhaumann into branch 'KDE/4.11'.

inconsistency fix: really hide message only on user interaction

FIXED-IN: 4.11.2

M  +1    -0    part/view/katemessagewidget.cpp

http://commits.kde.org/kate/2ee874c981744cd9f8576dcad2929cbba7409256